Subject: [GIT PULL RESEND] arm-soc: vt8500: Convert mach-vt8500 to devicetree

From: [email-masked] (Tony Prisk)
Date: Fri, 21 Sep 2012 06:07:31 +0000

On Thu, 2012-09-20 at 16:28 -0700, Olof Johansson wrote:
> Hi,
> 
> On Thu, Sep 20, 2012 at 05:45:06PM +1200, Tony Prisk wrote:
> > Please disregard the last pull request - commit id's were invalid.
> > This one is now correct.
> > 
> > The following changes since commit 55d512e245bc7699a8800e23df1a24195dd08217:
> > 
> >   Linux 3.6-rc5 (2012-09-08 16:43:45 -0700)
> > 
> > are available in the git repository at:
> > 
> >   git://git.code.sf.net/p/linuxwmt/code tags/vt8500-for-next
> > 
> > for you to fetch changes up to 0cd5434aae73698aa4a48542bd8d1428d44820cb:
> > 
> >   arm: vt8500: Update arch-vt8500 to devicetree support. (2012-09-20 07:23:26 +1200)
> > 
> > ----------------------------------------------------------------
> > Update mach-vt8500 to devicetree and remove non-dt code.
> > 
> > ----------------------------------------------------------------
> > Tony Prisk (8):
> >       arm: vt8500: Add device tree files for VIA/Wondermedia SoC's
> >       rtc: vt8500: Add devicetree support for vt8500-rtc
> >       serial: vt8500: Add devicetree support for vt8500-serial
> >       video: vt8500: Add devicetree support for vt8500-fb and wm8505-fb
> >       arm: vt8500: clk: Add Common Clock Framework support
> >       arm: vt8500: doc: Add device tree bindings for arch-vt8500 devices
> >       arm: vt8500: gpio: Devicetree support for arch-vt8500
> >       arm: vt8500: Update arch-vt8500 to devicetree support.
> 
> Overall this series looks great, however I pinged Rob Herring about it
> since I didn't see his Acked-by on the bindings patch. It sounds like he
> has some comments on the display pieces, so unless you can break those
> out and do everything else for 3.7, we might need to hold off until that
> has been settled.
> 
> 
> -Olof

This was discussed when the series was originally posted. The display
mode binding was still floating around with V1 suggestions so I had to
make a best-guess as to how it would end up.

Without it, the patch will break support for 95% of users as framebuffer
is the only output device. 

Given that I can't fix it as the videomode helper patch is still getting
revisions (Last I saw v4 had outstanding queries against it) I guess it
will have to wait until next time around.

Regards

Tony P